Name:		fakechroot
Version:	2.20.1
Release:	%mkrel 3
Summary:	Gives a fake chroot environment
License:	LGPLv2+
Group:		Development/C
URL:            https://github.com/dex4er/fakechroot
Source0:	https://github.com/dex4er/fakechroot/releases/download/2.20.1/%{name}-%{version}.tar.gz
# https://github.com/dex4er/fakechroot/pull/50
Patch1:		fakechroot-rpm-glob64.patch

# Required for patch0:
BuildRequires:	autoconf
BuildRequires:	automake >= 1.10
BuildRequires:	libtool

%description
fakechroot runs a command in an environment were is additionally
possible to use the chroot(8) call without root privileges. This is
useful for allowing users to create their own chrooted environment
with possibility to install another packages without need for root
privileges.

%prep
%autosetup -p1

# Patch0 updates autoconf, so rerun this:
./autogen.sh

%build
%configure \
  --disable-dependency-tracking \
  --disable-static
%make_build

%install
%make_install

%check
#make test

%files
%doc scripts/restoremode.sh scripts/savemode.sh
%license COPYING LICENSE
%{_bindir}/*fakechroot
%{_sbindir}/chroot.fakechroot
/etc/fakechroot
%{_mandir}/man1/fakechroot.1.*
%exclude %{_libdir}/fakechroot/libfakechroot.la
# No library package, there's no major:
%{_libdir}/fakechroot/libfakechroot.so


%changelog
* Sun May 03 2020 tv <tv> 2.20.1-3.mga8
+ Revision: 1578592
- use %%license
- use %%autosetup
- fix URL

* Sat Feb 15 2020 umeabot <umeabot> 2.20.1-2.mga8
+ Revision: 1527695
- Mageia 8 Mass Rebuild

* Tue Jul 23 2019 tv <tv> 2.20.1-1.mga8
+ Revision: 1423577
- new release

* Sun Sep 23 2018 umeabot <umeabot> 2.19-1.2.mga7
+ Revision: 1297657
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.19-1.1.mga7
+ Revision: 1164971
- Add support for LFS

* Mon Jul 17 2017 tv <tv> 2.19-1.mga7
+ Revision: 1124116
- new release
- use std macros

* Thu Mar 17 2016 tv <tv> 2.18-1.mga6
+ Revision: 992368
- new release

* Thu Feb 11 2016 umeabot <umeabot> 2.17.2-0.2.mga6
+ Revision: 953935
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 2.17.2-0.1.mga6
+ Revision: 883248
- new release
- rediff patch

* Wed Oct 15 2014 umeabot <umeabot> 2.16-8.mga5
+ Revision: 742265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.16-7.mga5
+ Revision: 679083
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.16-6.mga4
+ Revision: 504242
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.16-5.mga3
+ Revision: 350046
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 2.16-4.mga3
+ Revision: 344773
- Disable broken tests

* Fri Jul 13 2012 rtp <rtp> 2.16-3.mga3
+ Revision: 270591
- update glob64 patch to handle glob too.

* Wed Jul 04 2012 rtp <rtp> 2.16-2.mga3
+ Revision: 267605
- fix testsuite call (the Makefile target is test not check)
- workaround for rpm glob64 issue

* Wed Jun 27 2012 tv <tv> 2.16-1.1.mga3
+ Revision: 264172
- fix file list
- fix file list
- new release

* Tue Mar 13 2012 tv <tv> 2.9-1.1.mga2
+ Revision: 223257
- imported package fakechroot

